#
# spec file for package python-aedir
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-aedir
Version:        0.0.26
Release:        1.1
Summary:        Python module for AE-DIR
License:        Apache-2.0
Group:          Development/Languages/Python
Url:            https://www.ae-dir.com/python.html
Source0:        https://files.pythonhosted.org/packages/source/a/aedir/aedir-%{version}.tar.gz
Source1:        https://files.pythonhosted.org/packages/source/a/aedir/aedir-%{version}.tar.gz.asc
                # download key from https://stroeder.com/michael_at_stroeder.com-6A8BC938.asc
Source2:        %{name}.keyring
BuildRequires: python-devel
BuildRequires: python-setuptools
BuildRequires: python-ldap >= 2.4.28
BuildRequires: python-pyasn1-modules
Requires:       python-ldap >= 2.4.28
Requires:       python-pyasn1-modules
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
Pure Python module for accessing AE-DIR.
Mainly a convenience wrapper around python-ldap.

%prep
%setup -q -n aedir-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%{python_sitelib}/*
%doc README.md

%changelog
* Tue May 30 2017 michael@stroeder.com
- update to 0.0.26
* Sat Feb 11 2017 michael@stroeder.com
- update to 0.0.23
* Thu Feb  2 2017 michael@stroeder.com
- update to 0.0.22
* Thu Feb  2 2017 michael@stroeder.com
- update to 0.0.19
* Wed Feb  1 2017 michael@stroeder.com
- update to 0.0.18
* Thu Jan 19 2017 michael@stroeder.com
- update to 0.0.17
- added PGP signature file and keyring
* Mon Jan 16 2017 michael@stroeder.com
- update to 0.0.16
* Sat Jan 14 2017 michael@stroeder.com
- update to 0.0.15
* Fri Jan 13 2017 michael@stroeder.com
- update to 0.0.14
* Mon Oct 17 2016 michael@stroeder.com
- update to 0.0.11
* Wed Oct 12 2016 michael@stroeder.com
- update to 0.0.10
- requires python-ldap 2.4.27+
* Sat Aug 13 2016 michael@stroeder.com
- update to 0.0.8
* Mon Jul 25 2016 michael@stroeder.com
- update to 0.0.7
- requires python-ldap 2.4.26+
* Wed Jul 20 2016 michael@stroeder.com
- update to 0.0.6
* Sun Jun 26 2016 michael@stroeder.com
- initial import of release 0.0.2
